> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Gene Regulatory Network

> Retrieve regulatory or response genes for a given regulatory gene. The network is modeled as: (regulators) -> (responses).

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**CRISPR screen:**

**Single result**

- regulator_gene_id = ENSG00000143190
- p_value = gte:0.9
- method = CRISPR screen

**Group results**

- regulator_gene_name = POU2F1
- method = CRISPR screen

**Perturb-seq:**

**Query by regulator gene**

- regulator_gene_id = ENSG00000143190
- method = Perturb-seq

**Query by response gene**

- response_gene_name = TSPAN6
- method = Perturb-seq



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /gene-regulatory-network
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /gene-regulatory-network:
    get:
      summary: Gene Regulatory Network
      description: >-
        Retrieve regulatory or response genes for a given regulatory gene. The
        network is modeled as: (regulators) -> (responses).


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **CRISPR screen:**


        **Single result**


        - regulator_gene_id = ENSG00000143190

        - p_value = gte:0.9

        - method = CRISPR screen


        **Group results**


        - regulator_gene_name = POU2F1

        - method = CRISPR screen


        **Perturb-seq:**


        **Query by regulator gene**


        - regulator_gene_id = ENSG00000143190

        - method = Perturb-seq


        **Query by response gene**


        - response_gene_name = TSPAN6

        - method = Perturb-seq
      operationId: grn
      parameters:
        - name: regulator_gene_id
          in: query
          required: false
          schema:
            type: string
        - name: regulator_hgnc_id
          in: query
          required: false
          schema:
            type: string
        - name: regulator_gene_name
          in: query
          required: false
          schema:
            type: string
        - name: regulator_alias
          in: query
          required: false
          schema:
            type: string
        - name: response_gene_id
          in: query
          required: false
          schema:
            type: string
        - name: response_hgnc_id
          in: query
          required: false
          schema:
            type: string
        - name: response_gene_name
          in: query
          required: false
          schema:
            type: string
        - name: response_alias
          in: query
          required: false
          schema:
            type: string
        - name: neg_log10_pvalue
          in: query
          required: false
          schema:
            type: string
        - name: neg_log10_pvalue_adj
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - CRISPR screen
              - Perturb-seq
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    response_gene:
                      type: string
                    genomic_element:
                      type: object
                      properties:
                        chr:
                          type: string
                        start:
                          type: number
                        end:
                          type: number
                        regulator_gene:
                          type: string
                      required:
                        - chr
                        - start
                        - end
                        - regulator_gene
                      additionalProperties: false
                    crispr_modality:
                      type: string
                      nullable: true
                    class:
                      type: string
                    method:
                      type: string
                    source:
                      type: string
                    biological_context:
                      type: string
                    files_filesets:
                      type: string
                    log2FC:
                      type: number
                      nullable: true
                    neg_log10_pvalue:
                      anyOf:
                        - type: number
                        - type: string
                      nullable: true
                    neg_log10_pvalue_adj:
                      anyOf:
                        - type: number
                        - type: string
                      nullable: true
                  required:
                    - response_gene
                    - genomic_element
                    - class
                    - method
                    - source
                    - biological_context
                    - files_filesets
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````